#jinja2: lstrip_blocks: True
# Ansible managed
# 
# define command checks using common check templates defined in common-servicetemplates.cfg.j2 
{% for srv in common_service_checks %}
define service {
    use                          {{ srv.comm_service }},{{ srv.service_name }}
  {% if srv.extra_configs is defined %}
    {% for extra in srv.extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
    {% endfor %}
  {% endif %}
}
{% endfor %}
# end common checks
{% if extra_service_checks is defined %}
# extra checks
  {% for srv in extra_service_checks %}
define service {
    service_description          {{ srv.service_description }}
    display_name                 {{ srv.display_name | default(srv.service_description) }}
    use                          {{ srv.use }}
    check_command                {{ srv.check_command }}
    {% if srv.extra_configs is defined %}
      {% for cnf in srv.extra_configs %}
        {% if cnf.content is not string and cnf.content is iterable %}
    {{ "%-28s" | format(cnf.name) }} {{ cnf.content | join(',') }}
        {% else %}
    {{ "%-28s" | format(cnf.name) }} {{ cnf.content }}
        {% endif %}
      {% endfor %}
    {% endif %}
}
  {% endfor %}
# end extra checks
{% endif %}
